## ECalSourceConfig ECalSourceConfig |

## Functions

GtkWidget * | e_cal_source_config_new ()
ECalClientSourceType | e_cal_source_config_get_source_type ()
void | e_cal_source_config_add_offline_toggle ()

## Description

## Functions

### e_cal_source_config_new ()

    GtkWidget *
    e_cal_source_config_new (ESourceRegistry *registry,
                             ESource *original_source,
                             ECalClientSourceType source_type);

`e_cal_source_config_new` is deprecated and should not be used in newly-written code.

### e_cal_source_config_get_source_type ()

    ECalClientSourceType
    e_cal_source_config_get_source_type (ECalSourceConfig *config);

`e_cal_source_config_get_source_type` is deprecated and should not be used in newly-written code.

### e_cal_source_config_add_offline_toggle ()

    void
    e_cal_source_config_add_offline_toggle
                                   (ECalSourceConfig *config,
                                    ESource *scratch_source);

`e_cal_source_config_add_offline_toggle` is deprecated and should not be used in newly-written code.

## Types and Values